% EU GWP Importer - Building a EU15 SIOT/GWP Model based on 8 EU countries
% By Michal Gryczon for MSc-thesis


GWP_BE = xlsread('emissions.xls', 'BE', 'B2:B59');
GWP_DK = xlsread('emissions.xls', 'DK', 'B2:B59');
GWP_FR = xlsread('emissions.xls', 'FR', 'B2:B59');
GWP_DE = xlsread('emissions.xls', 'DE', 'B2:B59');
GWP_IT = xlsread('emissions.xls', 'IT', 'B2:B59');
GWP_NL = xlsread('emissions.xls', 'NL', 'B2:B59');
GWP_ES = xlsread('emissions.xls', 'ES', 'B2:B59');
GWP_SE = xlsread('emissions.xls', 'SE', 'B2:B59');

GWP_BE(isnan(GWP_BE)) = 0;
GWP_DK(isnan(GWP_DK)) = 0;
GWP_FR(isnan(GWP_FR)) = 0;
GWP_DE(isnan(GWP_DE)) = 0;
GWP_IT(isnan(GWP_IT)) = 0;
GWP_NL(isnan(GWP_NL)) = 0;
GWP_ES(isnan(GWP_ES)) = 0;
GWP_SE(isnan(GWP_SE)) = 0;

GWP_EU8 = GWP_BE + GWP_DK + GWP_FR + GWP_DE + GWP_IT + GWP_NL + GWP_ES + GWP_SE;

clear GWP_EU8 GWP_BE GWP_DK GWP_FR GWP_DE GWP_IT GWP_NL GWP_ES GWP_SE 

GWP_Scale = xlsread('emissions.xls', 'EU_tot', 'F24');

GWP_EU15 = GWP_EU8/GWP_Scale; 

xlswrite('gwp', GWP_EU15, 'GWP_EU15');

g_NOK = g*8.12;
