% EU SIOT Importer - Building a EU15 SIOT Model based on 8 EU countries
% By Michal Gryczon for MSc-thesis

SIOT_BE = xlsread('EU_SIOT', 'BE_siot00', 'D8:BZ80');
SIOT_DK = xlsread('EU_SIOT', 'DK_siot00', 'D8:BZ80');
SIOT_FR = xlsread('EU_SIOT', 'FR_siot00', 'D8:BZ80');
SIOT_DE = xlsread('EU_SIOT', 'DE_siot00', 'D8:BZ80');
SIOT_IT = xlsread('EU_SIOT', 'IT_siot00', 'D8:BZ80');
SIOT_NL = xlsread('EU_SIOT', 'NL_siot00', 'D8:BZ80');
SIOT_ES = xlsread('EU_SIOT', 'ES_siot00', 'D8:BZ80');
SIOT_SE = xlsread('EU_SIOT', 'SE_siot00', 'D8:BZ80');

% Missing GWP
% SIOT_AT = xlsread('EU_SIOT', 'AT_siot00', 'D8:BZ80');
% SIOT_FI = xlsread('EU_SIOT', 'FI_siot00', 'D8:BZ80');
% SIOT_IE = xlsread('EU_SIOT', 'IE_siot00', 'D8:BZ80');

% Missing SIOT
% SIOT_GR = xlsread('Greece_Suiot_070604.xls', 'siot00', 'D8:BSIOT80');
% SIOT_LU = xlsread('Luxembourg_Suiot_071029.xls', 'siot00', 'D8:BSIOT80');
% SIOT_PT = xlsread('Portugal_Suiot_080219.xls', 'siot00', 'D8:BSIOT80');
% SIOT_UK = xlsread('United_Kingdom_Suiot_070604.xls', 'siot00', 'D8:BSIOT80');

SIOT_BE(isnan(SIOT_BE)) = 0;
SIOT_DK(isnan(SIOT_DK)) = 0;
SIOT_FR(isnan(SIOT_FR)) = 0;
SIOT_DE(isnan(SIOT_DE)) = 0;
SIOT_IT(isnan(SIOT_IT)) = 0;
SIOT_NL(isnan(SIOT_NL)) = 0;
SIOT_ES(isnan(SIOT_ES)) = 0;
SIOT_SE(isnan(SIOT_SE)) = 0;

% SIOT_AT(isnan(SIOT_AT)) = 0;
% SIOT_GR(isnan(SIOT_GR)) = 0;
% SIOT_LU(isnan(SIOT_LU)) = 0;
% SIOT_PT(isnan(SIOT_PT)) = 0;
% SIOT_UK(isnan(SIOT_UK)) = 0;
% SIOT_FI(isnan(SIOT_FI)) = 0;
% SIOT_IE(isnan(SIOT_IE)) = 0;

% Fix NAC-EUR, exchange-rates 
SIOT_DK = SIOT_DK*0.1340;   % DKK-EURO
SIOT_SE = SIOT_SE*0.11847;  % SEK-EURO

% Sum 
SIOT = SIOT_BE + SIOT_DE + SIOT_DK + SIOT_ES + SIOT_FR + SIOT_IT + SIOT_NL + SIOT_SE;

% GDP-fraction of EU15
GDP_fraction = xlsread('nama_gdp_c.xls', 'nama_gdp_c', 'J36');

% Scale SIOT with regards to GDP
SIOT = SIOT/GDP_fraction;
%%
% Write output-file
% xlswrite('siot.xls', SIOT);
%%
% Build coefficient matrices from SIOT 
% By Michal Gryczon for MSc-thesis

% Requires SIOT in Workspace 

% Build flow matrix
Z_EU = SIOT(1:58,1:58);

g = xlsread('EU15', 'EU_tot', 'CD8:CD65');

A_EU = Z_EU*inv(diag(g));

%%
clear SIOT_BE SIOT_DE SIOT_DK SIOT_ES SIOT_FR SIOT_IT SIOT_NL SIOT_SE

