avoided_thermal = xlsread('NREL_Thermal.xls','Scenarios', 'J30:N38')';
avoided_biochem = xlsread('NREL_Biochemical.xls','Scenarios','J30:N38')';
output = [100 250 500 750 1000 1250 1500 1750 2000];

price = [0.650;     % Mitigation price according to IPCC WGIII Report
    0.240;          % Current ETS CO2 Price
    0.200;          % SFT Low price barrier
    0.600];         % SFT High price barrier
price_set = repmat(price,1,9); % Make it into a plotted line matrix
figure
% Begin plotting biochemical
plot(output,avoided_biochem,output,price_set,'--','LineWidth',1)
legend('3.35 [NOK/litre]',...
    '4.19 [NOK/litre] (1.25\times)',...
    '5.03 [NOK/litre] (1.5\times)',...
    '5.85 [NOK/litre] (1.75\times)',...
    '6.70 [NOK/litre] (2.00\times)',...
    'IPCC WG3 Target 2030 Target (100 USD)',...
    'ETS CO_2 Trading Price',...
    'SFT Low Price Barrier (200 NOK)',...
    'SFT High Price Barrier (600 NOK)')
axis([100 2000 -5 22])
xlabel('Output [TJ/Yr]')
ylabel('Mitigation price [NOK/kgCO_{2}]')
% Save to file EPS=LaTex, EMF=MS Office
% print -depsc2 'avoidedbiochem.eps'
% print -dmeta 'avoidedbiochem.emf'
figure
% Begin plotting thermal
plot(output,avoided_thermal,output,price_set,'--','LineWidth',1)
legend('3.35 [NOK/litre]',...
    '4.19 [NOK/litre] (1.25\times)',...
    '5.03 [NOK/litre] (1.5\times)',...
    '5.85 [NOK/litre] (1.75\times)',...
    '6.70 [NOK/litre] (2.00\times)',...
    'IPCC WG3 Target 2030 Target (100 USD)',...
    'ETS CO_2 Trading Price',...
    'SFT Low Price Barrier (200 NOK)',...
    'SFT High Price Barrier (600 NOK)')
axis([100 2000 -5 7])
xlabel('Output [TJ/Yr]')
ylabel('Mitigation price [NOK/kgCO_{2}]')
% Save to file 
% print -depsc2 'avoidedthermal.eps'
% print -dmeta 'avoidedthermal.emf'
